﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="WebForms_C1BarChart.WebForm1" %>

<%@ Register assembly="C1.Web.Wijmo.Controls.4" namespace="C1.Web.Wijmo.Controls.C1Chart" tagprefix="wijmo" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        <wijmo:C1BarChart runat = "server" ID="C1BarChart1" Horizontal="false" ChartLabelFormatString="n2" Height="475" Width = "756" ClusterSpacing="30">
		<Hint>
			<Content Function="hintContent" />
			<ContentStyle FontSize="14px">
				<Fill Color="#CCCCCC">
				</Fill>
			</ContentStyle>
			<Style StrokeWidth="0">
			</Style>
			<HintStyle StrokeWidth="0">
			</HintStyle>
		</Hint><ChartLabelStyle Rotation="-45"/>
		<Footer Compass="South" Visible="False"></Footer>
		<Legend Visible="True" Compass="North" Orientation="Horizontal">
			<TextStyle StrokeWidth="0">
			</TextStyle>
		</Legend>
		<Axis>
			<X>
				<TextStyle FontWeight="normal">
				</TextStyle>

<GridMajor Visible="False"></GridMajor>

<GridMinor Visible="False"></GridMinor>
			</X>
			<Y Text="USD (thousands)" Compass="West" AnnoFormatString="n0" Max="15000" Min="1000" AutoMax="False" AutoMin="False" Alignment="Far">
				<TextStyle FontWeight="normal">
				</TextStyle>

<GridMajor Visible="False"></GridMajor>

<GridMinor Visible="False"></GridMinor>
			</Y>
		</Axis>
		<SeriesStyles>
			<wijmo:ChartStyle Stroke="#94C3E8">
				<Fill Color="#94C3E8">
				</Fill>
			</wijmo:ChartStyle>
			<wijmo:ChartStyle Stroke="#FBBA69">
				<Fill Color="#FBBA69">
				</Fill>
			</wijmo:ChartStyle>
		</SeriesStyles>
		<SeriesHoverStyles>
			<wijmo:ChartStyle StrokeWidth="0">
			</wijmo:ChartStyle>
		</SeriesHoverStyles>
		<TextStyle FontSize="13px">
		</TextStyle>
		<Header Text="2014 Sales Revenue"></Header>
		<SeriesList>
			<wijmo:BarChartSeries Label="Recieved" LegendEntry="true">
                <%--<TextStyle>
                    <Fill Color="Transparent" />
                </TextStyle>--%>
				<Data>
					<X>
						<Values>
							<wijmo:ChartXData DateTimeValue="2014-01-01" />
							<wijmo:ChartXData DateTimeValue="2014-02-01" />
							<wijmo:ChartXData DateTimeValue="2014-03-01" />
							<wijmo:ChartXData DateTimeValue="2014-04-01" />
							<wijmo:ChartXData DateTimeValue="2014-05-01" />
							<wijmo:ChartXData DateTimeValue="2014-06-01" />
							<wijmo:ChartXData DateTimeValue="2014-07-01" />
							<wijmo:ChartXData DateTimeValue="2014-08-01" />
							<wijmo:ChartXData DateTimeValue="2014-09-01" />
							<wijmo:ChartXData DateTimeValue="2014-10-01" />
							<wijmo:ChartXData DateTimeValue="2014-11-01" />
							<wijmo:ChartXData DateTimeValue="2014-12-01" />
						</Values>
					</X>
					<Y>
						<Values>
							<wijmo:ChartYData DoubleValue="337" />
							<wijmo:ChartYData DoubleValue="7821.7" />
							<wijmo:ChartYData DoubleValue="10201.46" />
							<wijmo:ChartYData DoubleValue="10618.19" />
							<wijmo:ChartYData DoubleValue="9285.6" />
							<wijmo:ChartYData DoubleValue="256" />
							<wijmo:ChartYData DoubleValue="0" />
							<wijmo:ChartYData DoubleValue="0" />
							<wijmo:ChartYData DoubleValue="0" />
							<wijmo:ChartYData DoubleValue="0" />
							<wijmo:ChartYData DoubleValue="0" />
							<wijmo:ChartYData DoubleValue="0" />
						</Values>
					</Y>
				</Data>
			</wijmo:BarChartSeries>
			<wijmo:BarChartSeries LegendEntry="True" Label="To Be Recieved">
				<Data>
					<X>
						<Values>
							<wijmo:ChartXData DateTimeValue="2014-01-01" />
							<wijmo:ChartXData DateTimeValue="2014-02-01" />
							<wijmo:ChartXData DateTimeValue="2014-03-01" />
							<wijmo:ChartXData DateTimeValue="2014-04-01" />
							<wijmo:ChartXData DateTimeValue="2014-05-01" />
							<wijmo:ChartXData DateTimeValue="2014-06-01" />
							<wijmo:ChartXData DateTimeValue="2014-07-01" />
							<wijmo:ChartXData DateTimeValue="2014-08-01" />
							<wijmo:ChartXData DateTimeValue="2014-09-01" />
							<wijmo:ChartXData DateTimeValue="2014-10-01" />
							<wijmo:ChartXData DateTimeValue="2014-11-01" />
							<wijmo:ChartXData DateTimeValue="2014-12-01" />
						</Values>
					</X>
					<Y>
						<Values>
							<wijmo:ChartYData DoubleValue="337" />
							<wijmo:ChartYData DoubleValue="7836.7" />
							<wijmo:ChartYData DoubleValue="10858.46" />
							<wijmo:ChartYData DoubleValue="12512.19" />
							<wijmo:ChartYData DoubleValue="1348.6" />
							<wijmo:ChartYData DoubleValue="14238" />
							<wijmo:ChartYData DoubleValue="14372" />
							<wijmo:ChartYData DoubleValue="14385" />
							<wijmo:ChartYData DoubleValue="14385" />
							<wijmo:ChartYData DoubleValue="14385" />
							<wijmo:ChartYData DoubleValue="14385" />
							<wijmo:ChartYData DoubleValue="8417.17" />
						</Values>
					</Y>
				</Data>
			</wijmo:BarChartSeries>
		</SeriesList>
	</wijmo:C1BarChart>
    <script type="text/javascript">
		function hintContent() {
			//Check if multiple data points are on one axis entry. For example, multiple data entries for a single date. 
			if ($.isArray(this)) {
				var content = "";
				//Multiple entries of data on this point, so we need to loop through them to create the tooltip content.
				for (var i = 0; i < this.length; i++) {
					content += this[i].label + ': ' + Globalize.format(this[i].y * 1000, 'c0') + '\n';
				}
				return content;
			}
			else {
				//Only a single data point, so we return a formatted version of it. "/n" is a line break.
				return this.data.label + '\n' +
					//Format x as Short Month and long year (Jan 2010). Then format y value as calculated currency with no decimal ($1,983,000). 
					Globalize.format(this.x, 'MMM yyyy') + ': ' + Globalize.format(this.y * 1000, 'c0');
			}
		}
	</script>
    </div>
    </form>
</body>
</html>
